Bug 181812 - lots of file:// URLs in RELEASE-NOTES
lots of file:// URLs in RELEASE-NOTES
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Release Notes Tracker
Karsten Wade
:
Depends On:
Blocks: fc-relnotes-traqr
  Show dependency treegraph
 
Reported: 2006-02-16 14:17 EST by Alexandre Oliva
Modified: 2007-04-18 13:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: CVS
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 19:22:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-02-16 14:17:31 EST
In the FC5T3 candidate tree, there are many file:// URLs that reference katzj's
home dir, as well as a number of file:///FileName that AFAICT were links to
Fedora wiki pages.  Such links are mostly useless.

I'm not sure this is something that should be filed directly against release
notes in Fedora docs, or against fedora-release in Fedora Core, given that it's
probably some automated conversion script that is getting it wrong.
Comment 1 Karsten Wade 2006-02-16 14:26:59 EST
Can you give me several examples?  I need to see if these come from the XML in
/cvs/docs/release-notes/en/.  We tried to capture all Wiki links before
outputting the XML, so that all Wiki links are FQDNs.

Thanks for catching this.  We have a great process now for capturing release
note information in the Wiki, and we are stumbling through automating the
conversion into XML so it is useful.
Comment 2 Karsten Wade 2006-02-16 17:38:34 EST
OK, I've seen this now, it's here:

/usr/share/doc/fedora-release-4.92/RELEASE-NOTES-en.txt

You all build engineering people are doing a process to create that TXT file. 
What is it?  Some kind of HTML => TXT distiller?

We could have a .txt target in the Makefile, ain't that the right place to do
it?  It would be our pleasure.

I'm taking assignment for relnotes@fedoraproject.org as an RFE to the
release-notes module to create a TXT target in the Makefile.
Comment 3 Alexandre Oliva 2006-02-16 18:43:44 EST
Here's a list that I hope to be a complete set of incorrect references:

   1. 3. Legal Notice
	file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-legalnotice

[(see the odd 1. 3. above) 2. is missing from the file, 3. and 4. are good]

   5.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Welcome
   6.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-OverView
   7.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id302828
   8.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id290568
   9.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id300874
  10.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id296458
  11.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id233213
  12.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-legalnotice
  13.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Feedback
  14.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id303754
  15.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Installer
  16.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id289538
  17.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id292189
  18.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id311067
  19.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id304617
  20.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-ArchSpecific
  21.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-ArchSpecificPPC
  22.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id310787
  23.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id336786
  24.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-ArchSpecificx86
  25.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id340527
  26.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id340316
  27.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-ArchSpecificx86_64
  28.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id332800
  29.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id285391
  30.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Kernel
  31.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id351419
  32.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id298855
  33.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id293299
  34.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id300209
  35.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id300234
  36.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id249787
  37.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id249840
  38.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Desktop
  39.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Printing
  40.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-ServerTools
  41.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id283618
  42.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id292364
  43.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id305655
  44.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id303586
  45.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id351526
  46.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id283426
  47.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-FileSystems
  48.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-FileServers
  49.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id287242
  50.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-WebServers
  51.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id304973
  52.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id291326
  53.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id281119
  54.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-DevelTools
  55.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id296113
  56.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id295517
  57.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-DevelToolsGCC
  58.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id351583
  59.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Security
  60.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id288842
  61.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id312205
  62.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id306499
  63.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id304859
  64.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Java
  65.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Samba
  66.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id298437
  67.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id291123
  68.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-SystemDaemons
  69.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Multimedia
  70.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id307358
  71.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id294355
  72.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id298878
  73.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id307053
  74.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id282154
  75.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Entertainment
  76.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Networking
  77.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id285174
  78.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id294036
  79.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id282972
  80.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id290741
  81.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id294007
  82.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id314690
  83.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id291131
  84.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id291144
  85.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id291158
  86.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id351435
  87.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Xorg
  88.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id340371
  89.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id300088
  90.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id300974
  91.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id300600
  92.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id308812
  93.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id312803
  94.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id296845
  95.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-DatabaseServers
  96.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-I18n
  97.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Extras
  98.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-PackageChanges
  99.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-PackageNotes
 100.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id286786
 101.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id279655
 102.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id299565
 103.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id278692
 104.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id285543
 105.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-PackageNotesJava
 106.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-BackwardsCompatibility
 107.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Legacy
 108.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id287358
 109.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id290861
 110.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id325554
 111.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-ProjectOverview
 112.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#sn-Colophon
 113.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id366878
 114.
file:///home/katzj/cvs/cvs.fedora.redhat.com/docs/release-notes/RELEASE-NOTES-en.html#id285714

 120. file:///Docs/Beats/OverView
 121. file:///Docs/Beats/Introduction
 141. file:///Docs/Beats
 144. file:///DocsProject/ReleaseNotes/Beats
 147. file:///DmraidStatus
 152. file:///SamFolkWilliams
 160. file:///AppleTalk
 168. file:///Docs/Beats/PackageNotes/Java
 171. file:///http
 179. file:///Xorg/Modularization
 182. file:///NetworkManager
Comment 4 Paul W. Frields 2006-02-16 22:45:22 EST
This is now fixed -- I think -- in Docs CVS.  When someone (katzj, others?)
checks out docs-common and release-notes modules from Docs CVS, simply "make
txt" for a nice clean version.  I used some XSLT to remove uglifications like
revhistory.  Note that the "txt" target is i18n'd in the same way as our normal
work so translations will build too once they're completed.

If you guys like what you see, Karsten should close this.  Alexandre, thanks for
catching this!  It was an interesting problem to work on, and hopefully we can
continue to make this process more seamless and painless as we go along.
Comment 5 Karsten Wade 2006-02-23 19:22:05 EST
Thanks for the bug report and fix, gents.

Closed in CVS.

Note You need to log in before you can comment on or make changes to this bug.